ENUM SURVEY_INFO_FLA(9)

NAME
enum_survey_info_flags - survey information flags

SYNOPSIS

enum survey_info_flags {
  SURVEY_INFO_NOISE_DBM,
  SURVEY_INFO_IN_USE,
  SURVEY_INFO_CHANNEL_TIME,
  SURVEY_INFO_CHANNEL_TIME_BUSY,
  SURVEY_INFO_CHANNEL_TIME_EXT_BUSY,
  SURVEY_INFO_CHANNEL_TIME_RX,
  SURVEY_INFO_CHANNEL_TIME_TX
};

CONSTANTS

SURVEY_INFO_NOISE_DBM
    noise (in dBm) was filled in

SURVEY_INFO_IN_USE
    channel is currently being used

SURVEY_INFO_CHANNEL_TIME
    channel active time (in ms) was filled in

SURVEY_INFO_CHANNEL_TIME_BUSY
    channel busy time was filled in

SURVEY_INFO_CHANNEL_TIME_EXT_BUSY
    extension channel busy time was filled in

SURVEY_INFO_CHANNEL_TIME_RX
    channel receive time was filled in

SURVEY_INFO_CHANNEL_TIME_TX
    channel transmit time was filled in

DESCRIPTION

Used by the driver to indicate which info in struct survey_info it has filled in during the get_survey.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT